Subject: Re: bug#64908: 29.1; svg parse failure

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Jul 2023 14:00:20 +0300

> From: Daniel Vianna <[email-masked]>
> Date: Fri, 28 Jul 2023 17:08:00 +1000
> 
> Hi, Eli.
> 
> Thank you for your thorough response.
> 
> I have built emacs with `./configure` and no special environment variables, and used emacs -Q
> path/to/svg. No changes in behaviour.
> 
> What's striking is that 
> 1. Emacs opens other SVGs, and
> 2. Other applications in my OS also open the offending SVGs without issue, which suggests (but does
> not prove) that librsvg2 is not where the problem lies.
> 
> I'm going to leave it as that, as I don't think I can conveniently upgrade/downgrade librsvg2 with
> impunity in my distribution. But out of curiosity, which version are you using? And would anyone
> reading this thread and running Fedora be able to reproduce/not reproduce this issue?

My librsvg version is 2.40.1.  What version do you have installed?

Can someone who uses a newer librsvg please try those SVG files and
report back?

Thanks.